extends Node2D


@onready var monde: Node = get_parent()


func _ready() -> void:
	for child in get_children():
		assert(child is Planete, "Seules les planetes sont autorisees dans le systeme")
		var planete: Planete = child as Planete
		planete.niveau_demarre.connect(demarrer_niveau)


func demarrer_niveau(niveau: PackedScene) -> void:
	monde.add_sibling(niveau.instantiate())
	monde.queue_free()
